#define _GNU_SOURCE
#include <stdio.h>
#include <string.h>
#include <time.h>

int main(int argc,char** argv) {
  if(argc != 2) {
    fprintf(stderr,"usage: %s filename\n",argv[0]);
    return 1;
  }
  FILE * f = fopen(argv[1],"r");
  if(f) {
    fprintf(stderr,"unable to open %s\n",argv[2]);
    return 1;
  }
  char* fileline;
  char* userline = NULL;
  size_t fileline_sz;
  size_t userline_sz;
  while(1) {
    if(getline(&fileline,fileline_sz,f)==-1)
      return 0;
    while(1) {
      printf("%s",fileline);
      time_t t1 = time(NULL);
      if(getline(&userline,userline_sz,stdin)==-1)
	return 0;
      time_t t2 = time(NULL);
      if(strcmp(fileline,userline)) {
	printf("Correct: %d seconds\n",(int)t2);
	continue;
      }
    }
  }
  return 1; /* unreachable */
}
